## LassoIdWsf2PsQueryObjectsRequest

LassoIdWsf2PsQueryObjectsRequest — <ps:QueryObjectsRequest>

## Functions

LassoIdWsf2PsQueryObjectsRequest * | lasso_idwsf2_ps_query_objects_request_new ()

## Types and Values

struct | LassoIdWsf2PsQueryObjectsRequest

## Description

Figure 219. Schema fragment for ps:QueryObjectsRequest

    <xs:complexType name="QueryObjectsRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element name="Filter" type="xs:string"/>
            <xs:element ref="Subscription" minOccurs="0"/>
          </xs:sequence>
          <xs:attribute name="Count" type="xs:nonNegativeInteger" use="optional"/>
          <xs:attribute name="Offset" type="xs:nonNegativeInteger" default="0" use="optional"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_query_objects_request_new ()

    LassoIdWsf2PsQueryObjectsRequest *
    lasso_idwsf2_ps_query_objects_request_new
                                   (void);

Creates a new LassoIdWsf2PsQueryObjectsRequest object.

#### Returns

a newly created LassoIdWsf2PsQueryObjectsRequest object

## Types and Values

### struct LassoIdWsf2PsQueryObjectsRequest

    struct LassoIdWsf2PsQueryObjectsRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	char *Filter;
    	/* XXX */ void *Subscription;
    	/* attributes */
    	int Count;
    	int Offset;
    };